﻿<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003" ToolsVersion="3.5">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>9.0.21022</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{1EECB691-2EE8-411D-9EA5-672A7834DAF5}</ProjectGuid>
    <OutputType>Exe</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>COServer</RootNamespace>
    <AssemblyName>Game Server</AssemblyName>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
    <UpgradeBackupLocation>
    </UpgradeBackupLocation>
    <OldToolsVersion>2.0</OldToolsVersion>
    <TargetFrameworkVersion>v2.0</TargetFrameworkVersion>
    <ApplicationIcon>CptSky.ico</ApplicationIcon>
    <StartupObject>COServer.Program</StartupObject>
    <PublishUrl>publish\</PublishUrl>
    <Install>true</Install>
    <InstallFrom>Disk</InstallFrom>
    <UpdateEnabled>false</UpdateEnabled>
    <UpdateMode>Foreground</UpdateMode>
    <UpdateInterval>7</UpdateInterval>
    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
    <UpdatePeriodically>false</UpdatePeriodically>
    <UpdateRequired>false</UpdateRequired>
    <MapFileExtensions>true</MapFileExtensions>
    <ApplicationRevision>0</ApplicationRevision>
    <ApplicationVersion>1.0.0.%2a</ApplicationVersion>
    <IsWebBootstrapper>false</IsWebBootstrapper>
    <UseApplicationTrust>false</UseApplicationTrust>
    <BootstrapperEnabled>true</BootstrapperEnabled>
    <TargetFrameworkSubset>
    </TargetFrameworkSubset>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
    <PlatformTarget>x86</PlatformTarget>
    <OutputPath>..\Test Server\</OutputPath>
    <Optimize>true</Optimize>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
    <DefineConstants>TRACE;DEBUG</DefineConstants>
    <DebugType>none</DebugType>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="FNV_HASH_DLL, Version=1.0.0.22, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>.\FNV_HASH_DLL.dll</HintPath>
    </Reference>
    <Reference Include="SocketNetwork, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL" />
    <Reference Include="System" />
    <Reference Include="System.Data" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="AI\Monster.cs" />
    <Compile Include="Calculations\Attack.cs" />
    <Compile Include="Calculations\BattleSystem.cs" />
    <Compile Include="Calculations\Defence.cs" />
    <Compile Include="Calculations\Potency.cs" />
    <Compile Include="Calculations\Vitals.cs" />
    <Compile Include="DMapReader\MAFData.cs" />
    <Compile Include="Handlers\ItemHandler.cs" />
    <Compile Include="Handlers\PublicityHandler.cs" />
    <Compile Include="Handlers\ScriptHandler.cs" />
    <Compile Include="Handlers\ShopHandler.cs" />
    <Compile Include="Network\MsgDialog.cs" />
    <Compile Include="Network\MsgFriend.cs" />
    <Compile Include="Network\PacketWriter.cs" />
    <Compile Include="Entities\Character.cs" />
    <Compile Include="Client.cs" />
    <Compile Include="Network\MsgChat.cs" />
    <Compile Include="Network\CreateChar.cs" />
    <Compile Include="Network\Msg.cs" />
    <Compile Include="Network\MsgAction.cs" />
    <Compile Include="Network\MsgWalk.cs" />
    <Compile Include="Calculations\CoS-Math.cs" />
    <Compile Include="Structures\Enchant.cs" />
    <Compile Include="Structures\Map.cs" />
    <Compile Include="DMapReader\DMap.cs" />
    <Compile Include="DMapReader\GameMap.cs" />
    <Compile Include="Commands.cs" />
    <Compile Include="DataBase\DataBase.cs" />
    <Compile Include="DroppedItems.cs" />
    <Compile Include="Encryptions\CoEncryption.cs" />
    <Compile Include="Entities\NPC.cs" />
    <Compile Include="CoServer.cs" />
    <Compile Include="Entities\Monster.cs" />
    <Compile Include="Entities\Object.cs" />
    <Compile Include="Guild.cs" />
    <Compile Include="Handlers\ScreenHandler.cs" />
    <Compile Include="INI_CORE_DLL.cs" />
    <Compile Include="Handlers\MemoryCompressor.cs" />
    <Compile Include="Other.cs" />
    <Compile Include="Packets.cs" />
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Structures\Drop.cs" />
    <Compile Include="Structures\Guild.cs" />
    <Compile Include="Structures\Item.cs" />
    <Compile Include="Structures\StatusFlag.cs" />
    <Compile Include="TimeThread.cs" />
    <Compile Include="World.cs" />
  </ItemGroup>
  <ItemGroup>
    <BootstrapperPackage Include="Microsoft.Net.Framework.2.0">
      <Visible>False</Visible>
      <ProductName>.NET Framework 2.0 %28x86%29</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.0">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.0 %28x86%29</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Windows.Installer.3.1">
      <Visible>False</Visible>
      <ProductName>Windows Installer 3.1</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
  </ItemGroup>
  <ItemGroup>
    <Content Include="CptSky.ico" />
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>